Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008165opensim[GRID] Hypergridpublic2017-05-12 06:142017-05-13 12:22
Reporteraiaustin 
Assigned ToUbitUmarov 
PriorityhighSeverityblockReproducibilityalways
StatusassignedResolutionopen 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0008165: HG teleport fails between grids on latest dev master version (1356)
DescriptionA teleport attempt using osTeleportAgent is failing to work between two grids that have just been updated from 1340 to 1356 (opensim-0.9.0-1356-g9c46e49.zip). It gives a message in the viewer of "Teleport failed.". Teleport from a 1357 grid to OSGrid region works.

It appears to throw a System.NullReferenceException: Object reference not set to an instance of an object

in the destination grid Robust.exe window.

A jump from one of the updated grids TO an OSGrid region works.
Steps To ReproduceE.g. on 12th May 2017... http://ai.vue.ed.ac.uk:8002 [^] AiLand region - use one of the teleport buttons at the top right on the thumbnails board to try go to http://virtual.aiai.ed.ac.uk:8002 [^] Openvue and it fails. Try to go to the OSGrid region and it works.

Note the grids may be downgraded back to 1340 temporarily.
Additional Information14:10:05 - [GATEKEEPER SERVICE]: Login request for Ai.Austin @ai.vue.ed.ac.uk:8002 @ http://ai.vue.ed.ac.uk:8002/ [^] (ff0a6e25-15cf-4294-9374-4ce8cdec65eb) at 9c8b6f8f-8178-4a69-92dc-9feba4646e6b using viewer Firestorm-Releasex64 5.0.1.52150, channel Firestorm-Releasex64, IP 129.215.219.148, Mac 0c4a2423f7752f2109243ae3bcc8583d, Id0 8090712aa5f9b24d4ef4e0fea686dac0, Teleport Flags: ViaLogin. From region Vue-Port (7d6d7132-1d16-475b-830a-9301fb78e1e2) @ http://hg.osgrid.org:80/ [^]
14:10:05 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002 [^] against http://virtual.aiai.ed.ac.uk:8002 [^]
14:10:05 - [GATEKEEPER SERVICE]: Identity verified for Ai.Austin @ai.vue.ed.ac.uk:8002 @ http://ai.vue.ed.ac.uk:8002/ [^]
14:10:05 - [BASE HTTP SERVER]: HandleRequest() threw exception System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Services.HypergridService.GatekeeperService.LoginAgent(GridRegion source, AgentCircuitData aCircuit, GridRegion destination, String& reason) in d:\Temp\opensim-0.9.0-1356-g9c46e49\OpenSim\Services\HypergridService\GatekeeperService.cs:line 379
   at OpenSim.Server.Handlers.Hypergrid.GatekeeperAgentHandler.CreateAgent(GridRegion source, GridRegion gatekeeper, GridRegion destination, AgentCircuitData aCircuit, UInt32 teleportFlags, Boolean fromLogin, EntityTransferContext ctx, String& reason) in d:\Temp\opensim-0.9.0-1356-g9c46e49\OpenSim\Server\Handlers\Hypergrid\AgentHandlers.cs:line 67
   at OpenSim.Server.Handlers.Simulation.AgentPostHandler.DoAgentPost(Hashtable request, Hashtable responsedata, UUID id) in d:\Temp\opensim-0.9.0-1356-g9c46e49\OpenSim\Server\Handlers\Simulation\AgentHandlers.cs:line 477
   at OpenSim.Server.Handlers.Simulation.AgentPostHandler.ProcessRequest(String path, Stream request, IOSHttpRequest httpRequest, IOSHttpResponse httpResponse) in d:\Temp\opensim-0.9.0-1356-g9c46e49\OpenSim\Server\Handlers\Simulation\AgentHandlers.cs:line 409
   at OpenSim.Framework.Servers.HttpServer.BaseStreamHandler.Handle(String path, Stream request, IOSHttpRequest httpRequest, IOSHttpResponse httpResponse) in d:\Temp\opensim-0.9.0-1356-g9c46e49\OpenSim\Framework\Servers\HttpServer\BaseStreamHandler.cs:line 72
   at OpenSim.Framework.Servers.HttpServer.BaseHttpServer.HandleRequest(OSHttpRequest request, OSHttpResponse response) in d:\Temp\opensim-0.9.0-1356-g9c46e49\OpenSim\Framework\Servers\HttpServer\BaseHttpServer.cs:line 561
TagsNo tags attached.
Git Revision or version numberopensim-0.9.1-1356-g9c46e49
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm 5.10.1.52150
Attached Files

- Relationships

-  Notes
(0031841)
aiaustin (developer)
2017-05-12 06:36

Issue appears to be when the SOURCE grid is the latest versions e.g. 1356 or 1357. The destination grid is not the issue.

I reverted one grid to 1340 and could teleport to a 1357 grid fine.

But logged on initially to a 1357 grid I could not teleport to a 1340 grid.
(0031842)
aiaustin (developer)
2017-05-12 06:41

AiLand and Openvue grids now set back to 1340 (12-May-2017)
(0031843)
UbitUmarov (administrator)
2017-05-12 06:43

yeap my bad, sorry
changed master
(0031844)
aiaustin (developer)
2017-05-12 06:56
edited on: 2017-05-12 06:57

Will test shortly. Thanks.

The UUID in that line is I believe the new God level user UUID? Would it not be best to have that as a constant tied to the other places its used? Or even just for uniformity if it has to be given as a constant in the separate modules?

(0031845)
aiaustin (developer)
2017-05-12 07:13
edited on: 2017-05-12 07:20

With 1359 on both AiLand and Openvue I am still seeing an error... different line... I will check if its finger problems at my end... [it seems not... 1359 still fails if source region is 1359 rather than 1340)]...

15:11:43 - [GATEKEEPER SERVICE]: Verifying http://ai.vue.ed.ac.uk:8002 [^] against h
ttp://ai.vue.ed.ac.uk:8002 [^]
15:11:43 - [GATEKEEPER SERVICE]: Identity verified for Ai Austin @ http://virtua [^]
l.aiai.ed.ac.uk:8002/
15:11:43 - [BASE HTTP SERVER]: HandleRequest() threw exception System.NullRefere
nceException: Object reference not set to an instance of an object.
   at OpenSim.Services.HypergridService.GatekeeperService.LoginAgent(GridRegion
source, AgentCircuitData aCircuit, GridRegion destination, String& reason) in d:
\Temp\opensim-0.9.0-1359-g5e577ba\OpenSim\Services\HypergridService\GatekeeperSe
rvice.cs:line 388
   at OpenSim.Server.Handlers.Hypergrid.GatekeeperAgentHandler.CreateAgent(GridR
egion source, GridRegion gatekeeper, GridRegion destination, AgentCircuitData aC
ircuit, UInt32 teleportFlags, Boolean fromLogin, EntityTransferContext ctx, Stri
ng& reason) in d:\Temp\opensim-0.9.0-1359-g5e577ba\OpenSim\Server\Handlers\Hyper
grid\AgentHandlers.cs:line 67
   at OpenSim.Server.Handlers.Simulation.AgentPostHandler.DoAgentPost(Hashtable
request, Hashtable responsedata, UUID id) in d:\Temp\opensim-0.9.0-1359-g5e577ba
\OpenSim\Server\Handlers\Simulation\AgentHandlers.cs:line 477
   at OpenSim.Server.Handlers.Simulation.AgentPostHandler.ProcessRequest(String
path, Stream request, IOSHttpRequest httpRequest, IOSHttpResponse httpResponse)
in d:\Temp\opensim-0.9.0-1359-g5e577ba\OpenSim\Server\Handlers\Simulation\AgentH
andlers.cs:line 409
   at OpenSim.Framework.Servers.HttpServer.BaseStreamHandler.Handle(String path,
 Stream request, IOSHttpRequest httpRequest, IOSHttpResponse httpResponse) in d:
\Temp\opensim-0.9.0-1359-g5e577ba\OpenSim\Framework\Servers\HttpServer\BaseStrea
mHandler.cs:line 72
   at OpenSim.Framework.Servers.HttpServer.BaseHttpServer.HandleRequest(OSHttpRe
quest request, OSHttpResponse response) in d:\Temp\opensim-0.9.0-1359-g5e577ba\O
penSim\Framework\Servers\HttpServer\BaseHttpServer.cs:line 561

(0031846)
UbitUmarov (administrator)
2017-05-12 07:27

yeackkk same bug...
and yes its the grid god uuid, for now in several places in code both region/robust. To cleanup later.
(0031847)
aiaustin (developer)
2017-05-12 07:45

AiLand and Openvue now on opensim-0.9.0-1360-gd08df7b.zip

Teleports using osTeleportAgent scripted objects between these grids now work.

Maybe its worth checking the download announced just today by OSGrid (built from OpenSimulator git hash : 8bdd4c3ed9cef20bcee931b287c9c4124b409186) as it may be a faulty version?
(0031848)
UbitUmarov (administrator)
2017-05-12 07:47

yes dan is following this
(0031851)
aiaustin (developer)
2017-05-13 12:22
edited on: 2017-05-13 12:23

osgrid.org download as at this time still has a faulty version. I let Dan banner know via IM on osgrid.org.


- Issue History
Date Modified Username Field Change
2017-05-12 06:14 aiaustin New Issue
2017-05-12 06:14 aiaustin Status new => assigned
2017-05-12 06:14 aiaustin Assigned To => UbitUmarov
2017-05-12 06:18 aiaustin Description Updated View Revisions
2017-05-12 06:18 aiaustin Steps to Reproduce Updated View Revisions
2017-05-12 06:28 aiaustin Description Updated View Revisions
2017-05-12 06:30 aiaustin Git Revision or version number => opensim-0.9.1-1356-g9c46e49
2017-05-12 06:30 aiaustin Description Updated View Revisions
2017-05-12 06:31 aiaustin Summary HG teleport fails between grids on latest dev master version () => HG teleport fails between grids on latest dev master version (1356)
2017-05-12 06:31 aiaustin Description Updated View Revisions
2017-05-12 06:36 aiaustin Note Added: 0031841
2017-05-12 06:41 aiaustin Note Added: 0031842
2017-05-12 06:43 UbitUmarov Note Added: 0031843
2017-05-12 06:56 aiaustin Note Added: 0031844
2017-05-12 06:57 aiaustin Note Edited: 0031844 View Revisions
2017-05-12 07:13 aiaustin Note Added: 0031845
2017-05-12 07:14 aiaustin Note Edited: 0031845 View Revisions
2017-05-12 07:16 aiaustin Note Edited: 0031845 View Revisions
2017-05-12 07:20 aiaustin Note Edited: 0031845 View Revisions
2017-05-12 07:27 UbitUmarov Note Added: 0031846
2017-05-12 07:45 aiaustin Note Added: 0031847
2017-05-12 07:47 UbitUmarov Note Added: 0031848
2017-05-13 12:22 aiaustin Note Added: 0031851
2017-05-13 12:23 aiaustin Note Edited: 0031851 View Revisions


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker